Mini Player

Plasma 4 Extensions by Emdek 142 comments

I nearly forgot to say: In KDE 4.3beta2 it works now (without video, but that doesn't bother me) without crashes. :-) - Jun 12 2009
Device Manager

Plasma 4 Extensions by giucam 175 comments

Just tried it - the Windows partition doesn't appear, too. - Jun 11 2009
Device Manager

Plasma 4 Extensions by giucam 175 comments

Yes, it's /home and / that I'm missing (I don't have other partitions, but I'll try out on my other machine, where I have a Windows partition). - Jun 11 2009
Device Manager

Plasma 4 Extensions by giucam 175 comments

I love this plasmoid, thank you very much!

However, it doesn't show my partitions, only the removable devices appear (doesn't matter whether I check the "hide" option or not).
That doesn't bother me, I just wanted to draw your attention on it.
I use KDE 4.3beta2, Qt 4.5.1. - Jun 11 2009
SearchMoid

Plasma 4 Extensions by Deaimel 12 comments

Hello,

thanks for that nice plasmoid!
Unfortunately, it doesn't work for me out of the box: When I type a search word and press enter, it opens Konqueror in file manager mode, looking for a file with the name of my searched word in My Documents.
I have to open and close the config dialogue (I don't have to manipulate it*) in order to make it search with google or the like.

*By the way: Checking/unchecking the option "show icon" does nothing. - Jun 10 2009
Mini Player

Plasma 4 Extensions by Emdek 142 comments

I forgot: I can call the plasmoid via plasmoidviewer, but adding to desktop or panel doesn't work in KDE 4.2, while in 4.3 there is no problem (except the known crash).
Maybe i should install Kubuntu or the like in order to find out, whether it is an OpenSuse problem. - May 18 2009
Mini Player

Plasma 4 Extensions by Emdek 142 comments

Yes, the playlist issue really doesn't seem to have anything to do with it.

In my test account plasma since some time (perhaps independant of an update) crashes when I try to add the plasmoid to the desktop. I'll file a bug report, but until now I didn't get a good backtrace from the bug manager, although I have the mini player, plasma and kdebase debug packages installed, dunno what I am missing. - May 18 2009
Mini Player

Plasma 4 Extensions by Emdek 142 comments

In fact I get similar crashes with the media player plasmoid in KDE 4.3, and I at least got a backtrace, see the report: https://bugs.kde.org/show_bug.cgi?id=193004

I hope this can help to fix the problem here, too. - May 17 2009
several Service-menues

Dolphin Service Menus by dan-linux 18 comments

OK, I'll leave it, though there would be much to say ;-) - May 09 2009
several Service-menues

Dolphin Service Menus by dan-linux 18 comments

I can understand your arguments, they are totally OK for the time being (of course, I make extensive use of English, too), but please rethink your thoughts about Esperanto:
It and English are in a position very similar* to Linux and Windows: For reasons, which have nearly nothing in common with quality (but with power/leadership position) one is "weak" and the other is "strong". It is a mistake, to use the actual situation as an argument for the future, and there is no reason not to set up a linguistic convention ((when there will be political consent), which promotes Esperanto as common second language for general benefit.

*Of course, there is a huge difference, namely that no one must give up his/her native tongue for the second language Esperanto! - May 08 2009
several Service-menues

Dolphin Service Menus by dan-linux 18 comments

Yes, but it's totally ridiculous - Linux users talk much about freedom, but they accept this kind of monopolistic language policy.
I hate to be forced to do something, including writing in English only. - May 08 2009
Daisy

Plasma 4 Extensions by Lechio 574 comments

There's a typo in the install script of 0.0.4: kbuildsyscoca4 - May 07 2009
Mini Player

Plasma 4 Extensions by Emdek 142 comments

I tried to debug via gdb, but unfortunately my whole system freezes when reproducing the bug and at the moment I don't have Internet in order to install the debug packages I need.

Nevertheless, before the freeze I get a short message, maybe that's the location where the whole thing get stuck: On my 64-bit laptop with KDE 4.2.2 there something happens in /lib64/libdbus-1.so.3, on the 32-bit PC with 4.3svn I get /lib/libc.so.6.

HTH... - Apr 21 2009
Mini Player

Plasma 4 Extensions by Emdek 142 comments

Could you please post your backtrace, because I have the same problem but don't get a backtrace (even with kdebase4-workspace-devel, to respond to the last post but one). - Apr 16 2009
Mini Player

Plasma 4 Extensions by Emdek 142 comments

Do you mean the Dr. Konqi from KDE3? That's the only thing I found. - Apr 14 2009
Mini Player

Plasma 4 Extensions by Emdek 142 comments

Oh, I didn't know of this function, quite handy.

Anyway, I can reproduce the crash there, too, unfortunately the only output I get is unspecific "segmentation fault"... - Apr 13 2009
Mini Player

Plasma 4 Extensions by Emdek 142 comments

Hello again ;-)

Thanks for adding the ability to hide the video window.
Unfortunately, this somehow introduced a new bug: With everey reboot the mini player gets smaller, after 3 - 4 times the buttons are just little dots, and one cannot resize it unless the video window is enabled again.
I have this problem on two different PCs (KDE 4.2.2 and KDE 4.3svn, OpenSuse 11.1).

Another problem (already in 0.4): Doing something in the settings or trying to change loudness reproduceably crashes plasma (I have to start it manually and don't get a backtrace, sorry). - Apr 10 2009
Mini Player

Plasma 4 Extensions by Emdek 142 comments

I already have Qt 4.5, so that can't be the reason.

Anyhow, thank you for your efforts!
Dziękuję :-) - Mar 27 2009
playlist 2 cd

Amarok 2.x Scripts by muffinman 9 comments

It already doesn't work (at least for me) in 2.0.2.
I have both the qt3 and the qt4 (svn) version of k3b installed, could this be an issue? - Mar 27 2009
Mini Player

Plasma 4 Extensions by Emdek 142 comments

Hello,

thanks for this nice plasmoid.
Unfortunately, I belong to the people, who don't get the picture (maybe this is a graphic driver issue, I don't get the picture in DP or kaffeine, too, when desktop effects are enabled; I have an ati graphic chip).

Nevertheless, the mini player is useful for listening of music (without the need to load amarok or the like).
So, would it be possible to add a customization option "hide the player window" in order to show just the buttons at the bottom for playing music?
That would be great! - Mar 27 2009
UrlCompressor

Plasma 4 Extensions by nferenc 7 comments

This is the annoying bug in Gethotnewstuff again, right?

1. The plasmoid should appear in the list anyhow, so no problem, if you can use it.

2. If you can't use it (big red X), uninstall it in GHNS, install python-devel and check if you have the other packages installed.

3. Install the script again. The error message will remain, but it should work. - Mar 26 2009
YouTube Service

Amarok 2.x Scripts by tobgle 21 comments

Thank you very much for this fine script, I like it very much!

Unfortunately, it doesn't work in WinXP for me: In the stable release of Amarok it crashes the application at startup (I have to delete it manually), in 2.1svn search etc. work, but when I play I get just noise instead of sound.
It looks like this is a problem of Directshow (for that one not forget one is in Win ;-)), similar to the known problem with mp3 playback.
Does anyone have a solution/patch for it? - Mar 22 2009
STasks

Plasma 4 Extensions by mbaszczewski 445 comments

Yes, I'm aware that one cannot get out of this impasse as a single person, for all of this is the consequence of wrong going language and educational policies all over the world - even I now use English to be understood; however, I feel very uncomfrotable with that and can't express myself, as I would like to.

I didn't want to start an off-topic discussion, I just want to express my disapproval to English-only solutions. - Mar 21 2009
STasks

Plasma 4 Extensions by mbaszczewski 445 comments

(Something general, not really addressed to you)

I can't understand, why Linux people talk so much about freedom and don't like it, when someone tells them what to use and what not - with regards to their software.
As the language is concerned, seems that everybody has accepted (broken) English. I really get upset every time I read here "All text must be in English." - everyone has the right to use his/her native tongue!

-----

@Marcin
Really good work, best plasmoid ever!
Fajna robota, dziękuję ci!
Vielen Dank für dieses tolle Plasmoid! :-) - Mar 21 2009
Elltube

Video Apps by lesergi 50 comments

Here is some more input (python -v elltube.py):

# installing zipimport hook
import zipimport # builtin
# installed zipimport hook
# /usr/lib64/python2.6/site.pyc matches /usr/lib64/python2.6/site.py
import site # precompiled from /usr/lib64/python2.6/site.pyc
# /usr/lib64/python2.6/os.pyc matches /usr/lib64/python2.6/os.py
import os # precompiled from /usr/lib64/python2.6/os.pyc
import errno # builtin
import posix # builtin
# /usr/lib64/python2.6/posixpath.pyc matches /usr/lib64/python2.6/posixpath.py
import posixpath # precompiled from /usr/lib64/python2.6/posixpath.pyc
# /usr/lib64/python2.6/stat.pyc matches /usr/lib64/python2.6/stat.py
import stat # precompiled from /usr/lib64/python2.6/stat.pyc
# /usr/lib64/python2.6/genericpath.pyc matches /usr/lib64/python2.6/genericpath.py
import genericpath # precompiled from /usr/lib64/python2.6/genericpath.pyc
# /usr/lib64/python2.6/warnings.pyc matches /usr/lib64/python2.6/warnings.py
import warnings # precompiled from /usr/lib64/python2.6/warnings.pyc
# /usr/lib64/python2.6/linecache.pyc matches /usr/lib64/python2.6/linecache.py
import linecache # precompiled from /usr/lib64/python2.6/linecache.pyc
# /usr/lib64/python2.6/types.pyc matches /usr/lib64/python2.6/types.py
import types # precompiled from /usr/lib64/python2.6/types.pyc
# /usr/lib64/python2.6/UserDict.pyc matches /usr/lib64/python2.6/UserDict.py
import UserDict # precompiled from /usr/lib64/python2.6/UserDict.pyc
# /usr/lib64/python2.6/_abcoll.pyc matches /usr/lib64/python2.6/_abcoll.py
import _abcoll # precompiled from /usr/lib64/python2.6/_abcoll.pyc
# /usr/lib64/python2.6/abc.pyc matches /usr/lib64/python2.6/abc.py
import abc # precompiled from /usr/lib64/python2.6/abc.pyc
# /usr/lib64/python2.6/copy_reg.pyc matches /usr/lib64/python2.6/copy_reg.py
import copy_reg # precompiled from /usr/lib64/python2.6/copy_reg.pyc
import encodings # directory /usr/lib64/python2.6/encodings
# /usr/lib64/python2.6/encodings/__init__.pyc matches /usr/lib64/python2.6/encodings/__init__.py
import encodings # precompiled from /usr/lib64/python2.6/encodings/__init__.pyc
# /usr/lib64/python2.6/codecs.pyc matches /usr/lib64/python2.6/codecs.py
import codecs # precompiled from /usr/lib64/python2.6/codecs.pyc
import _codecs # builtin
# /usr/lib64/python2.6/encodings/aliases.pyc matches /usr/lib64/python2.6/encodings/aliases.py
import encodings.aliases # precompiled from /usr/lib64/python2.6/encodings/aliases.pyc
# /usr/lib64/python2.6/encodings/utf_8.pyc matches /usr/lib64/python2.6/encodings/utf_8.py
import encodings.utf_8 # precompiled from /usr/lib64/python2.6/encodings/utf_8.pyc
Python 2.6 (r26:66714, Feb 3 2009, 20:49:49)
[GCC 4.3.2 [gcc-4_3-branch revision 141291]] on linux2
Type "help", "copyright", "credits" or "license" for more information.
elltube.py: inconsistent use of tabs and spaces in indentation
# /usr/lib64/python2.6/encodings/utf_16_be.pyc matches /usr/lib64/python2.6/encodings/utf_16_be.py
import encodings.utf_16_be # precompiled from /usr/lib64/python2.6/encodings/utf_16_be.pyc
import PyQt4 # directory /usr/lib64/python2.6/site-packages/PyQt4
import PyQt4 # from /usr/lib64/python2.6/site-packages/PyQt4/__init__.py
# can't create /usr/lib64/python2.6/site-packages/PyQt4/__init__.pyc
dlopen("/usr/lib64/python2.6/site-packages/PyQt4/QtGui.so", 2);
Traceback (most recent call last):
File "elltube.py", line 24, in <module>
from PyQt4.QtGui import *
ImportError: /usr/lib64/python2.6/site-packages/PyQt4/QtGui.so: undefined symbol: _ZNK16QFileSystemModel6removeERK11QModelIndex
# clear __builtin__._
# clear sys.path
# clear sys.argv
# clear sys.ps1
# clear sys.ps2
# clear sys.exitfunc
# clear sys.exc_type
# clear sys.exc_value
# clear sys.exc_traceback
# clear sys.last_type
# clear sys.last_value
# clear sys.last_traceback
# clear sys.path_hooks
# clear sys.path_importer_cache
# clear sys.meta_path
# clear sys.flags
# clear sys.float_info
# restore sys.stdin
# restore sys.stdout
# restore sys.stderr
# cleanup __main__
# cleanup[1] encodings
# cleanup[1] site
# cleanup[1] PyQt4
# cleanup[1] abc
# cleanup[1] encodings.utf_16_be
# cleanup[1] _codecs
# cleanup[1] _warnings
# cleanup[1] zipimport
# cleanup[1] encodings.utf_8
# cleanup[1] codecs
# cleanup[1] signal
# cleanup[1] posix
# cleanup[1] encodings.aliases
# cleanup[1] exceptions
# cleanup[2] copy_reg
# cleanup[2] posixpath
# cleanup[2] errno
# cleanup[2] _abcoll
# cleanup[2] types
# cleanup[2] genericpath
# cleanup[2] stat
# cleanup[2] warnings
# cleanup[2] UserDict
# cleanup[2] os.path
# cleanup[2] linecache
# cleanup[2] os
# cleanup sys
# cleanup __builtin__
# cleanup ints: 20 unfreed ints
# cleanup floats - Feb 14 2009
Elltube

Video Apps by lesergi 50 comments

Hi, after a reinstall I tried to run elltube, but (either per python elltube.py or after install) I get an error message: /usr/lib64/python2.6/site-packages/PyQt4/QtGui.so: undefined symbol: _ZNK16QFileSystemModel6removeERK11QModelIndex

As far as I know, all required packages are installed (python 2.6, PyQt4).

(OpenSuSE 11.1, Kernel 2.6.27.7-9-default x86_64, KDE 4.2) - Feb 14 2009
QuickAccess

Plasma 4 Extensions by mherbert 196 comments

It doesn't work for me, unfortunately, make is missing "konq_operations.h". - Jan 28 2009
playlist 2 cd

Amarok 2.x Scripts by muffinman 9 comments

Just found out by myself... - Dec 28 2008
playlist 2 cd

Amarok 2.x Scripts by muffinman 9 comments

...with Amarok 2.0 in OpenSuse 11.1!

Thanks a lot!

P.S.: Is there any possibility to localize the menu entry? - Dec 28 2008
PlayWolf

Plasma 4 Extensions by giucam 323 comments

Yeah, it took some tries, but after installing all *-dev packages I could find ;-) I got it working and I'm already loving it!

Thanks a lot! - Dec 04 2008
PlayWolf

Plasma 4 Extensions by giucam 323 comments

Unfortunately, I don't have any idea how to do this, I couldn't google useful information. Sorry

PLASMA_INCLUDE_DIR-NOTFOUND
PLASMA_LIBS-NOTFOUND - Dec 04 2008
PlayWolf

Plasma 4 Extensions by giucam 323 comments

Yes, I used cmake, it seems the problem is in my system, cmake claims it can't find some plasma libs - which I can't find, too. :-( - Dec 04 2008
PlayWolf

Plasma 4 Extensions by giucam 323 comments

Hello,

usual configure - make - make install doesn't work for me.
Could you please tell me what to do instead? - Dec 04 2008